.news {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.news>* {
    position: relative;
    z-index: 1;
}

.news:before {
    top: 340px;
    position: absolute;
    content: ' ';
    left: 0;
    right: 0;
    bottom: 0;
    
}

.news .button-white:hover{
    transform: scale(1.1);
}


/* ----------------------------------------
   NEWS CARD ANIMATION
---------------------------------------- */

.news .swiper-slide.animate {
    opacity: 0;
    transform: translateY(20px);
}

.news .swiper-slide.animate.visible {
    animation: fadeInCard 0.5s ease-out forwards;
    animation-delay: var(--delay, 0s);
}

@keyframes fadeInCard {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* ----------------------------------------
   BUTTON & LINK ANIMATIONS
---------------------------------------- */

.button-wrapper.animate {
    opacity: 0;
    transform: translateY(12px);
}

/* When wrapper becomes visible */
.button-wrapper.animate.visible {
    animation: buttonFadeIn 0.6s ease-out forwards;
    animation-delay: var(--delay, 0s);
}

.button-wrapper.animate a {
    opacity: 0;
}

.button-wrapper.animate.visible a {
    opacity: 1;
    transition: opacity 0.4s ease-out;
    transition: transform 0.35s ease-out;
}


.news .cards {
    justify-content: center;
    box-sizing: border-box;
    position: relative;
    display: flex;
    flex-direction: row;
    z-index: 1;
    width: 100%;
    padding-bottom: 24px;
    margin-top: 50px;
}

.news .cards .swiper-slide {
    flex: 0 0 360px;
    align-self: stretch;
}

.news .cards .card {
    display: flex;
    position: relative;
    background: transparent;
    border-radius: 5px;
    box-sizing: border-box;
    flex-direction: column;
    margin: 0 20px 0 20px;
    gap: 15px;
    justify-content: space-between;
    height: auto;
}

.news .card {
    transition: .2s;
    text-decoration: none;
}

.news .card:hover {
    transform: scale(1.05);
    transition: .2s;
}

.news .cards .card img {
    width: 100%;
    position: relative;
    border-radius: 5px;
}


.news .cards .card>div h4 {
    font-family: 'Open Sans';
    font-style: normal;
    color: #979797;
    font-weight: 600;
    font-size: 11px;
    line-height: 15px;
    margin: 16px 0 0 0;
}

.news .cards .card>div h3 {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    color: #3E3E3E;
    margin: 24px 0;
}

.news .cards .card>div p {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    color: #3E3E3E;

    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.news .cards .card .link {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    color: #169FF2; 
    align-self: flex-start;
    text-decoration: none;
    padding: 0 24px;
}





.news .cards .card>.link.tutorial {
    color: #FB9403;
}

.news .cards .card>.link.whitepaper {
    color: #FF0088;
}


.news .cards .card>.link svg {
    margin-left: 4px;
}

.news .bullets {
    display: none;
}

.news .link{
    text-decoration: none;
    color: #3E3E3E;
}

.news-wrapper .news h2,
.news-wrapper .news .swiper-container,
.news-wrapper .news .bullets,
.news-wrapper .news .button {
    opacity: 1;
    transform: translateY(0);
}

.news .cards .card .tags-title{
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.news .cards .card .tags-title h3{
    font-size: 20px;
    font-weight: 600;
    margin: 0;
    color: #3E3E3E;
    width: 400px;
}


.news .cards .card .tags{
    display: flex;
    flex-direction: row;
    gap: 10px;
    max-width: 400px;
    flex-wrap: wrap;
}

.news .cards .card .tags-title .tags .tag-item {
    font-size: 13px;
    font-style: italic;
    border-radius: 7px;
    padding: 5px 10px;
    position: relative;
    border: none;
    background: linear-gradient(134.71deg, #169FF2 -0.5%, #5C0DCE 98.45%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}

.news .cards .card .tags-title .tags .tag-item::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 7px;
    padding: 1px;
    background: linear-gradient(134.71deg, #169FF2 -0.5%, #5C0DCE 98.45%);

    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    pointer-events: none;
}

.news .cards .card img{
    height: 220px;
}



@media only screen and (max-width: 1350px) {

    .news .cards>div:last-child:not(:only-child) {
            display: none;
        }

    

}

@media only screen and (max-width: 850px) {



    .news .cards .card .tags-title h3 {
            font-size: 18px;
            max-width: 100%;
            text-align: left;
            
        }
    .news:before {
        top: 320px;
    }

    .news {
        overflow: hidden;
        padding: 0;
    }

    

    .news h2.show {
        transition: opacity 1s, transform .35s ease-out;
        transform: translateY(0);
        opacity: 1;
    }

    .news h2.scroll-show {
        transform: translateY(0);
        opacity: 1;
    }

    .news .cards {
        padding-bottom: 30px;
        justify-content: flex-start;
    }

    .news .cards>div:last-child {
        display: block;
    }

    .news .swiper-container {
        opacity: 0;
        transform: translateY(40px);
    }

    .news .swiper-container.show {
        transition: opacity 1s, transform .35s ease-out;
        transform: translateY(0);
        opacity: 1;
    }

    .news .swiper-container.scroll-show {
        transform: translateY(0);
        opacity: 1;
    }

    .news .cards .swiper-slide {
        flex: 0 0 100vw;
        box-sizing: border-box;
        padding: 0 28px;
    }

    .news .cards .card img{
        height: 194px;
    
    }

    .news .cards .card .tags-title{
        max-width: 414px;

    }

    .news .cards .card>div h4 {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 600;
        font-size: 11px;
        line-height: 15px;
        margin: 16px 0 0 0;
    }

    .news .cards .card>div h3 {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 600;
        font-size: 16px;
        line-height: 22px;
        color: #3E3E3E;
        margin: 24px 0;
    }

    .news .cards .card>div p {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 400;
        font-size: 15px;
        line-height: 20px;
    }

    .news .cards .card>div>a {
        display: flex;
        flex-direction: row;
        align-items: center;
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 600;
        font-size: 15px;
        line-height: 20px;
        
        text-decoration: none;
    }

    .news .cards .card>div>a svg {
        margin-left: 4px;
    }

    .news .bullets {
        position: relative;
        display: flex;
        flex-direction: row;
        align-items: center;
        list-style: none;
        opacity: 0;
        transform: translateY(40px);
    }

    .news .bullets.show {
        transition: opacity 1s, transform .35s ease-out;
        transform: translateY(0);
        opacity: 1;
    }

    .news .bullets.scroll-show {
        transform: translateY(0);
        opacity: 1;
    }

    .news .swiper-pagination {
        left: 50%;
        bottom: 0;
        transform: translateX(43%);
        display: flex;
        gap: 8px;
    }

    .news .swiper-pagination-bullet {
        height: 10px;
        width: 10px;
        border-radius: 6px;
        border: 1px solid #9116F2;
        background-color: transparent;
        opacity: 1;
    }

    .news .swiper-pagination-bullet-active {
        background-color: #9116F2;
    }

    .news .button {
        align-self: center;
        width: auto;
        padding: 8px 48px;
        opacity: 0;
        transform: translateY(40px);
    }

    .news .button.show {
        transform: translateY(0);
        opacity: 1;
    }

    .news .button.scroll-show {
        transform: translateY(0);
        opacity: 1;
    }

        .news .cards .card .link {
            color: #9116F2;
        }

        .news .swiper-slide.animate,
        .news .swiper-slide.animate.visible {
            opacity: 1 !important;
            transform: none !important;
            animation: none !important;
        }
    
        .button-wrapper.animate,
        .button-wrapper.animate.visible {
            opacity: 1 !important;
            transform: none !important;
            animation: none !important;
        }
    
        .news .swiper-container,
        .news .swiper-container.show,
        .news .swiper-container.scroll-show {
            opacity: 1 !important;
            transform: none !important;
            animation: none !important;
        }
    
        .news .bullets,
        .news .bullets.show,
        .news .bullets.scroll-show {
            opacity: 1 !important;
            transform: none !important;
            animation: none !important;
        }

        .news .cards>div:last-child:not(:only-child) {
        display: block;
    }

}

@media screen and (min-width: 550px) and (max-width: 850px) {
    .news .cards .card{
        max-width: 414px;
        align-self: center;
        margin: 0 auto;
    }

                .news .swiper-pagination {
                    transform: translateX(45%);
                }
}